using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability2474.Domain;

public class TaobaoTbkDgVegasSendReportRightsSendRelationRptDto
{

    /*
        日期
    */
    private string? bizDate;


    /*
        渠道关系id
    */
    private long? relationId;


    /*
        红包发放数量
    */
    private long? fundNum;


    /*
        渠道关系id关联的pid
    */
    private string? pid;


    /*
        红包使用次数
    */
    private long? useNum;



    [JsonPropertyName("biz_date")]
    public string? BizDate
    {
        get => bizDate;
        set => this.bizDate = value;
    }

    [JsonPropertyName("relation_id")]
    public long? RelationId
    {
        get => relationId;
        set => this.relationId = value;
    }

    [JsonPropertyName("fund_num")]
    public long? FundNum
    {
        get => fundNum;
        set => this.fundNum = value;
    }

    [JsonPropertyName("pid")]
    public string? Pid
    {
        get => pid;
        set => this.pid = value;
    }

    [JsonPropertyName("use_num")]
    public long? UseNum
    {
        get => useNum;
        set => this.useNum = value;
    }

}

